Bug 68124 - Update port: x11-toolkits/linux-pango (fix dependencies and post-install)
Summary: Update port: x11-toolkits/linux-pango (fix dependencies and post-install)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-19 21:50 UTC by Jean-Yves Lefort
Modified: 2004-12-15 21:03 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.12 KB, patch)
2004-06-19 21:50 UTC, Jean-Yves Lefort
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Lefort 2004-06-19 21:50:20 UTC
- Adds the dependencies needed to run pango-querymodules
- Cleans the post-install target and stops ignoring errors
Comment 1 Joe Marcus Clarke freebsd_committer 2004-06-19 21:52:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

Over to maintainer.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2004-09-03 00:47:24 UTC
State Changed
From-To: open->feedback

To maintainer: do you approve of this change?
Comment 3 Thierry Thomas freebsd_committer 2004-12-13 20:41:35 UTC
Responsible Changed
From-To: trevor->thierry


1) Take it (maintainer time-out). 

2) To Jean-Yves: 

It fails at post-install: 

===>  Checking if x11-toolkits/linux-pango already installed 
pango-1.2.1-3.i386.rpm 
/compat/linux/usr/bin/pango-querymodules > /compat/linux/etc/pango/pango.modules 
/compat/linux/usr/bin/pango-querymodules: error while loading shared libraries: libXft.so.2: cannot open shared object file: No such file or directory 
*** Error code 127 

Stop in /usr/ports/x11-toolkits/linux-pango.
Comment 4 Jean-Yves Lefort 2004-12-14 04:52:43 UTC
Adding
${LINUXBASE}/usr/X11R6/lib/libXft.so.2:${PORTSDIR}/x11/linux-XFree86-libs
to RUN_DEPENDS is certainly going to fix the problem.

-- 
Jean-Yves Lefort

jylefort@brutele.be
http://lefort.be.eu.org/
Comment 5 Thierry Thomas freebsd_committer 2004-12-14 20:15:14 UTC
Le Mar 14 déc 04 à  5:52:43 +0100, Jean-Yves Lefort <jylefort@brutele.be>
 écrivait :
> Adding
> ${LINUXBASE}/usr/X11R6/lib/libXft.so.2:${PORTSDIR}/x11/linux-XFree86-libs
> to RUN_DEPENDS is certainly going to fix the problem.

Of course, but this is a problem: x11/linux-XFree86-libs conflicts with
the default linux_base.

I have the same problem with PR ports/74229, submitted by Craig
Rodrigues: it depends on emulators/linux_base-8.

Are you aware of another solution, to keep the default linux_base?

Regards,
-- 
Th. Thomas.
Comment 6 Jean-Yves Lefort 2004-12-15 18:40:16 UTC
On Tue, 14 Dec 2004 21:15:14 +0100
Thierry Thomas <thierry@FreeBSD.org> wrote:

> Le Mar 14 d=E9c 04 =E0  5:52:43 +0100, Jean-Yves Lefort <jylefort@brutele=
.be>
>  =E9crivait=A0:
> > Adding
> > ${LINUXBASE}/usr/X11R6/lib/libXft.so.2:${PORTSDIR}/x11/linux-XFree86-li=
bs
> > to RUN_DEPENDS is certainly going to fix the problem.
>=20
> Of course, but this is a problem: x11/linux-XFree86-libs conflicts with
> the default linux_base.
>=20
> I have the same problem with PR ports/74229, submitted by Craig
> Rodrigues: it depends on emulators/linux_base-8.
>=20
> Are you aware of another solution, to keep the default linux_base?

See the thread starting at
http://lists.freebsd.org/pipermail/cvs-ports/2004-February/026329.html.

kris@ sets ports depending on linux_base-8 as BROKEN (!); trevor@
suggests to use MANUAL_PACKAGE_BUILD.

--=20
Jean-Yves Lefort

jylefort@brutele.be
http://lefort.be.eu.org/
Comment 7 Thierry Thomas freebsd_committer 2004-12-15 21:02:41 UTC
State Changed
From-To: feedback->closed


Committed, thanks!